Issue2091

classification
Title: Update jars
Type: Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: Arfrever, fwierzbicki, zyasoft
Priority: high Keywords:

Created on 2013-09-25.21:42:14 by Arfrever, last changed 2015-02-07.01:39:10 by zyasoft.

Messages
msg8126 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2013-09-25.21:42:14
Some jars in extlibs directory should be updated.

asm-4.1 was released on 2012-10-14.
commons-compress-1.5 was released on 2013-03-14.
guava-15.0 was released on 2013-09-06.
jffi-1.2.7 was released on 2013-04-04.
jnr-constants-0.8.5 was released on 2013-09-17.
jnr-ffi-1.0.7 was released on 2013-09-17.
jnr-netdb-1.1.2 was released on 2013-04-03.
jnr-posix-3.0.1 was released on 2013-09-17.
junit-4.11 was released on 2012-11-14.
msg8129 (view) Author: Jim Baker (zyasoft) Date: 2013-09-25.23:22:42
I will take care of guava.
msg8222 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2014-01-12.19:17:40
Issues #2110 and #2111 need to be fixed before some updates.
msg9130 (view) Author: Jim Baker (zyasoft) Date: 2014-10-10.04:00:45
Some updates earlier, but time to update once again as we prep for beta 4
msg9326 (view) Author: Jim Baker (zyasoft) Date: 2015-01-07.06:06:47
Most jars are updated, but we should look at the following dependencies:

name - available (current)
Antlr 3 - 3.5.2 (3.1.3)
Bouncy Castle - 1.51 (1.50)
JUnit - 4.12 (4.10)
Mockrunner - 1.0.4 (0.4.1)

Likely Postgres and MySQL doesn't need to be upgraded. JLine 1 -> 2 is a separate issue (see #2092)

Updating Antlr 3 could be tough, even to Antlr 3.5.2 (now 3.1.3), see #1903. However on Java 8, I see random failures in attempting to build the grammar. Fortunately we can use Java 7 to build our jars.
msg9495 (view) Author: Jim Baker (zyasoft) Date: 2015-02-07.01:39:09
Dependent jar update is a constant task for us. I'm going to close this one out since we have done what we planned to do for 2.7.0, and it's not really a bug per se
History
Date User Action Args
2015-02-07 01:39:10zyasoftsetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg9495
2015-01-07 06:06:48zyasoftsetmessages: + msg9326
2014-10-10 04:00:53zyasoftsetassignee: fwierzbicki -> zyasoft
2014-10-10 04:00:45zyasoftsetpriority: normal -> high
resolution: accepted
messages: + msg9130
2014-01-12 19:17:40Arfreversetmessages: + msg8222
2013-09-25 23:22:42zyasoftsetmessages: + msg8129
2013-09-25 23:21:29zyasoftsetnosy: + zyasoft
2013-09-25 22:05:01fwierzbickisetcomponents: + Core
2013-09-25 22:02:06fwierzbickisetversions: + Jython 2.7
2013-09-25 22:01:57fwierzbickisetpriority: normal
assignee: fwierzbicki
2013-09-25 21:42:14Arfrevercreate